require_relative "lib/version"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = SUMMARY
  s.description = "Verify that an IP is in a range"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  %w~ip_in_range~.collect{|f| 'bin/' << f} + %w~log.conf ip_range.rb version.rb file_checking.rb logging.rb email.rb~.collect{|f| 'lib/' << f} + %w~ip_in_range.gemspec~.collect{|f|f} + %w~~.collect{|f| 'doc/' << f}
  s.homepage    = ''
  #s.requirements = ''
  #s.add_runtime_dependency ''
  s.executables = 'ip_in_range'
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.7'
end
